com.cloudera.sqoop.lib

## Class DelimiterSet

- java.lang.Object
- - org.apache.sqoop.lib.DelimiterSet
  - - com.cloudera.sqoop.lib.DelimiterSet

- All Implemented Interfaces:
    java.lang.Cloneable

  Deprecated.
  use org.apache.sqoop.lib.DelimiterSet instead.

      public class DelimiterSet
      extends DelimiterSet

  Encapsulates a set of delimiters used to encode a record.
  See Also:
    `DelimiterSet`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DelimiterSet` | `DEFAULT_DELIMITERS` Deprecated.
    `static DelimiterSet` | `HIVE_DELIMITERS` Deprecated.
    `static DelimiterSet` | `MYSQL_DELIMITERS` Deprecated.
    `static char` | `NULL_CHAR` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelimiterSet()` Deprecated. Create a delimiter set with the default delimiters (comma for fields, newline for records).
    `DelimiterSet(char field, char record, char enclose, char escape, boolean isEncloseRequired)` Deprecated. Create a delimiter set with the specified delimiters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DelimiterSet` | `copy()` Deprecated. Identical to clone() but does not throw spurious exceptions.

    - ### Methods inherited from class org.apache.sqoop.lib.DelimiterSet

      `clone, equals, formatConstructor, getEnclosedBy, getEscapedBy, getFieldsTerminatedBy, getLinesTerminatedBy, hashCode, isEncloseRequired, setEnclosedBy, setEncloseRequired, setEscapedBy, setFieldsTerminatedBy, setLinesTerminatedBy, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NULL_CHAR

          public static final char NULL_CHAR

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEFAULT_DELIMITERS

          public static final DelimiterSet DEFAULT_DELIMITERS

      Deprecated.

    - #### HIVE_DELIMITERS

          public static final DelimiterSet HIVE_DELIMITERS

      Deprecated.

    - #### MYSQL_DELIMITERS

          public static final DelimiterSet MYSQL_DELIMITERS

      Deprecated.

  - ### Constructor Detail

    - #### DelimiterSet

          public DelimiterSet()

      Deprecated.
      Create a delimiter set with the default delimiters (comma for fields, newline for records).

    - #### DelimiterSet

          public DelimiterSet(char field,
                      char record,
                      char enclose,
                      char escape,
                      boolean isEncloseRequired)

      Deprecated.
      Create a delimiter set with the specified delimiters.
      Parameters:
        `field` - the fields-terminated-by delimiter
        `record` - the lines-terminated-by delimiter
        `enclose` - the enclosed-by character
        `escape` - the escaped-by character
        `isEncloseRequired` - If true, enclosed-by is applied to all fields. If false, only applied to fields that embed delimiters.

  - ### Method Detail

    - #### copy

          public DelimiterSet copy()

      Deprecated.
      Identical to clone() but does not throw spurious exceptions.
      Overrides:
        `copy` in class `DelimiterSet`
      Returns:
        a new copy of this same set of delimiters.

Copyright © 2015 The Apache Software Foundation